# Uses of Class
io.dapr.config.Properties

Packages that use Properties
Package
Description
io.dapr.actors.client
io.dapr.actors.runtime
io.dapr.client
io.dapr.spring.boot.autoconfigure.client
io.dapr.utils
io.dapr.workflows.client
io.dapr.workflows.internal
io.dapr.workflows.runtime

## Uses of Properties in io.dapr.actors.client

Constructors in io.dapr.actors.client with parameters of type Properties
Modifier
Constructor
Description
``
`ActorClient(Properties overrideProperties)`
Instantiates a new channel for Dapr sidecar communication.
``
`ActorClient(Properties overrideProperties, ResiliencyOptions resiliencyOptions)`
Instantiates a new channel for Dapr sidecar communication.
``
`ActorClient(Properties overrideProperties, Map<String,String> metadata, ResiliencyOptions resiliencyOptions)`
Instantiates a new channel for Dapr sidecar communication.

## Uses of Properties in io.dapr.actors.runtime

Methods in io.dapr.actors.runtime with parameters of type Properties
Modifier and Type
Method
Description
`static ActorRuntime`
ActorRuntime.`getInstance(Properties properties)`
Returns an ActorRuntime object.

## Uses of Properties in io.dapr.client

Methods in io.dapr.client with parameters of type Properties
Modifier and Type
Method
Description
`DaprHttp`
DaprHttpBuilder.`build(Properties properties)`
Build an instance of the Http client based on the provided setup.

## Uses of Properties in io.dapr.spring.boot.autoconfigure.client

Methods in io.dapr.spring.boot.autoconfigure.client that return Properties
Modifier and Type
Method
Description
`protected Properties`
DaprClientAutoConfiguration.`createPropertiesFromConnectionDetails(DaprConnectionDetails daprConnectionDetails)`
Creates a Properties object from the DaprConnectionDetails.

## Uses of Properties in io.dapr.utils

Methods in io.dapr.utils with parameters of type Properties
Modifier and Type
Method
Description
`static io.grpc.ManagedChannel`
NetworkUtils.`buildGrpcManagedChannel(Properties properties, io.grpc.ClientInterceptor... interceptors)`
Creates a GRPC managed channel.

## Uses of Properties in io.dapr.workflows.client

Constructors in io.dapr.workflows.client with parameters of type Properties
Modifier
Constructor
Description
``
`DaprWorkflowClient(Properties properties)`
Public constructor for DaprWorkflowClient.

## Uses of Properties in io.dapr.workflows.internal

Constructors in io.dapr.workflows.internal with parameters of type Properties
Modifier
Constructor
Description
``
`ApiTokenClientInterceptor(Properties properties)`

## Uses of Properties in io.dapr.workflows.runtime

Constructors in io.dapr.workflows.runtime with parameters of type Properties
Modifier
Constructor
Description
``
`WorkflowRuntimeBuilder(Properties properties)`
Constructs the WorkflowRuntimeBuilder.